<%@ Page language="c#" Codebehind="WebForm1.aspx.cs" AutoEventWireup="false" Inherits="DatePickerHiddenInputNet1CS.WebForm1" %>
<%@ Register TagPrefix="radcln" Namespace="Telerik.WebControls" Assembly="RadCalendar" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN" > 

<html>
  <head>
    <title>WebForm1</title>
    <meta name="GENERATOR" Content="Microsoft Visual Studio .NET 7.1">
    <meta name="CODE_LANGUAGE" Content="C#">
    <meta name=vs_defaultClientScript content="JavaScript">
    <meta name=vs_targetSchema content="http://schemas.microsoft.com/intellisense/ie5">
  </head>
  <body MS_POSITIONING="GridLayout">
	
    <form id="Form1" method="post" runat="server">

		<script type="text/javascript">
        function UpdateTextBox(sender, args)
        {
            var textBox = document.getElementById("<%= TextBox1.ClientID %>");
            textBox.value = DateToString(args.NewDate);
        }
        
        function UpdateCalendar()
        {
            var textBox = document.getElementById("<%= TextBox1.ClientID %>");
            var datePicker = <%= RadDatePicker1.ClientID %>;
            
            var jsDate = StringToDate(textBox.value);
            if (!isNaN(jsDate) && jsDate > datePicker.MinDate && jsDate < datePicker.MaxDate)
            {
                datePicker.SetDate(jsDate);
            }
            else
            {
                var oldSelectedDate = datePicker.GetDate();
                
                if (oldSelectedDate.toString() == datePicker.MinDate.toString())
                {
                    textBox.value = "";
                }
                else
                {
                    textBox.value = DateToString(oldSelectedDate);
                }
            }
        }
        
        function DateToString(date)
        {
            return date.getFullYear() + "/" + (date.getMonth() + 1) + "/" + date.getDate();
        }
        
        function StringToDate(stringDate)
        {
            var date = stringDate.split("/");
            return new Date(date[0], (date[1] - 1), date[2]);
        }
        
        function Popup()
        {
            var datePicker = <%= RadDatePicker1.ClientID %>;
            
            var textBox = document.getElementById("<%= TextBox1.ClientID %>");
            var position = datePicker.GetElementPosition(textBox);
            
            var popupElement = datePicker.GetPopupContainer();
            var dimensions = datePicker.GetElementDimensions(popupElement);
               
            datePicker.ShowPopup(position.x, position.y + textBox.offsetHeight);
        }
        </script>
        <asp:TextBox ID="TextBox1" runat="server" onblur="UpdateCalendar();"></asp:TextBox>
        <radcln:RadDatePicker ID="RadDatePicker1" runat="server">
            <PopupButton onclick="Popup(); return false;" />
            <DateInput style="display: none;"></DateInput>
            <ClientEvents OnDateSelected="UpdateTextBox" />
        </radcln:RadDatePicker>

    </form>
	
  </body>
</html>
